# ApplicationFramework
TKLCAF
TDF

# TDF_AttributeIterator Class Reference

`#include <TDF_AttributeIterator.hxx>`

## Public Member Functions

Standard_EXPORT | TDF_AttributeIterator ()
Standard_EXPORT | TDF_AttributeIterator (const TDF_Label &aLabel, const Standard_Boolean withoutForgotten=Standard_True)
Standard_EXPORT | TDF_AttributeIterator (const TDF_LabelNodePtr aLabelNode, const Standard_Boolean withoutForgotten=Standard_True)
Standard_EXPORT void | Initialize (const TDF_Label &aLabel, const Standard_Boolean withoutForgotten=Standard_True)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
TDF_Attribute * | Value () const

## Private Member Functions

void | goToNext (const Handle(TDF_Attribute)&anAttr)

## Private Attributes

TDF_Attribute * | myValue
Standard_Boolean | myWithoutForgotten

## Constructor & Destructor Documentation

Standard_EXPORT TDF_AttributeIterator::TDF_AttributeIterator | ( |  | ) |

Standard_EXPORT TDF_AttributeIterator::TDF_AttributeIterator | ( | const TDF_Label & | aLabel,
|  | const Standard_Boolean | withoutForgotten = `Standard_True`
| ) |

Standard_EXPORT TDF_AttributeIterator::TDF_AttributeIterator | ( | const TDF_LabelNodePtr | aLabelNode,
|  | const Standard_Boolean | withoutForgotten = `Standard_True`
| ) |

## Member Function Documentation

void TDF_AttributeIterator::goToNext | ( | const Handle(TDF_Attribute)& | anAttr | ) | `[private]`

Standard_EXPORT void TDF_AttributeIterator::Initialize | ( | const TDF_Label & | aLabel,
|  | const Standard_Boolean | withoutForgotten = `Standard_True`
| ) |

Standard_Boolean TDF_AttributeIterator::More | ( |  | ) | const`[inline]`

Standard_EXPORT void TDF_AttributeIterator::Next | ( |  | ) |

TDF_Attribute * TDF_AttributeIterator::Value | ( |  | ) | const`[inline]`

## Field Documentation

TDF_Attribute* TDF_AttributeIterator::myValue `[private]`

Standard_Boolean TDF_AttributeIterator::myWithoutForgotten `[private]`

The documentation for this class was generated from the following file:

- TDF_AttributeIterator.hxx